%define module	ExtUtils-XSBuilder
%define version	0.27
%define release	2mdk

Summary:	ExtUtils::XSBuilder - Automatic XS glue code generation
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	perl-Tie-IxHash
# not automatically detected:
Requires:		perl-Parse-RecDescent perl-Tie-IxHash
BuildArch:	noarch
Epoch:		1

%description
ExtUtils::XSBuilder is a set modules to parse C header files and create XS
glue code and documentation out of it. Idealy this allows to "write" an
interface to a C library without coding a line. Since no C-API is ideal,
some adjuments are necessary most of the time. So to use this module you
must still be familiar with C and XS programming, but it removes a lot of
stupid work and copy&paste from you. Also when the C API changes, most
of the time you only have to rerun XSBuilder to get your new Perl API.
 
%prep

%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall_std

%__os_install_post
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/ExtUtils/*
%{_mandir}/*/*

%changelog
* Thu May 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.27-2mdk
- fix missing dependancies

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.27-1mdk
- 0.27
- add tests

* Mon Aug 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.23-1mdk
- roll back to 0.23 as embperl won't build until we have 0.26

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.25-2mdk
- rebuild for new perl

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.25-1mdk
- 0.25

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.23-3mdk
- fix typo in description

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.23-2mdk
- rebuild
- use %%makeinstall_std macro
- dropped $RPM_OPT_FLAGS, noarch..
- correct spec file name

* Sat Mar  8 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.23-1mdk
- initial contribs release
